import { ElementRef, OnInit, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SlimScrollOptions } from 'ng2-slimscroll/ng2-slimscroll';
import { DatePickerOptions, DateModel, CalendarDate } from '../classes/';
import * as moment from 'moment';
export declare const CALENDAR_VALUE_ACCESSOR: any;
export declare class DatePickerComponent implements ControlValueAccessor, OnInit {
    el: ElementRef;
    options: DatePickerOptions;
    inputEvents: EventEmitter<{
        type: string;
        data: string | DateModel;
    }>;
    outputEvents: EventEmitter<{
        type: string;
        data: string | DateModel;
    }>;
    date: DateModel;
    opened: boolean;
    currentDate: moment.Moment;
    days: CalendarDate[];
    years: number[];
    yearPicker: boolean;
    scrollOptions: SlimScrollOptions;
    minDate: moment.Moment | any;
    maxDate: moment.Moment | any;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(el: ElementRef);
    value: DateModel;
    ngOnInit(): void;
    generateCalendar(): void;
    selectDate(e: MouseEvent, date: moment.Moment): void;
    selectYear(e: MouseEvent, year: number): void;
    generateYears(): void;
    writeValue(date: DateModel): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    prevMonth(): void;
    nextMonth(): void;
    today(): void;
    toggle(): void;
    open(): void;
    close(): void;
    onOpen(): void;
    openYearPicker(): void;
}
